import QtQuick 2.4
import QtQuick.Window 2.2
import QtQuick.LocalStorage 2.0
import "storage.js" as Settings
Window {
    id: hokno
    visible: true
    width: 650
    height: 900
    property var iks: height
    property var component
    property var scitam: kos.x + kos.width
    property int skore: 0
    property int nechytil: 0
    property double minimum: kos.y - kos.height/2
    property double maximum: kos.y
    property int znic: iks - 10
    property int rychlost: 5000
    property int cislo: 500
    property int cas: 1000
    property int sirka: width * 0.95
    property int padavyska: hokno.height/10
    property int padasirka: hokno.width/15
    property int highscore: Settings.get("highscore", 0)
    property int pismo: score.height/6
    property int pismoo: startgame.height/3
    property bool vytvor: true
    Rectangle {
        anchors.fill: parent
        Image {
            source: ":/../Down-apk/Obrazky/pubb.jpg"
            anchors.fill: parent
            fillMode: Image.PreserveAspectCrop
        }
        Menu{

        }

        Rectangle {
            id:root
            color: "#00000000"
            anchors.fill: parent
            Rectangle{
                id: score
                width: parent.width/2.8
                height: parent.width/5
                color: "#555050"
                opacity: 0.5
                anchors.top: parent.top
                anchors.topMargin: parent.height/40
                anchors.left: parent.left
                anchors.leftMargin: parent.height/40
            }

                Text{
                    id:hore
                    width: parent.width
                    height: score.height/3
                    text: "Highscore: " + highscore
                    font.pointSize: pismo + 1
                    anchors.top: parent.top
                    anchors.topMargin: parent.height/40
                    anchors.left: parent.left
                    anchors.leftMargin: parent.height/40
                }
                Text{
                    id:stred
                    width: parent.width
                    height: score.height/3
                    text: "Score: " + skore
                    anchors.top: hore.bottom
                    font.pointSize: pismo + 1
                    anchors.left: parent.left
                    anchors.leftMargin: parent.height/40
                }
                Text{
                    id:dole
                    width: parent.width
                    height: score.height/3
                    text: "Miss: " + nechytil
                    anchors.top: stred.bottom
                    font.pointSize: pismo + 1
                    anchors.left: parent.left
                    anchors.leftMargin: parent.height/40
                }
                Rectangle{
                    id: startgame
                    width: parent.width/2
                    height: parent.width/6
                    color: "#555050"
                    opacity: 0.5
                    anchors.centerIn: parent
                    radius:20
                }
                Text{
                    id: startgametext
                    width: parent.width/2
                    height: parent.width/6
                    anchors.centerIn: parent
                    text: "Start game"
                    verticalAlignment: Text.AlignVCenter
                    horizontalAlignment: Text.AlignHCenter
                    font.pointSize: pismoo + 1
                    MouseArea{
                        anchors.fill: parent
                        onClicked: {
                            skore = 0
                            nechytil = 0
                            startgame.visible = false
                            startgametext.visible = false
                            casovac.start()
                        }
                    }
                }
        }

        Text{
            text: sirka
        }
        Timer {
            id: casovac
            interval: cas; running: false; repeat: true
            onTriggered: {
                rychlost = rychlost - 25
                cas = cas - 3
                if(vytvor){
                    component.createObject(container)
                }
                vytvor = false
                casovac2.start()
            }
        }
        Timer {
            id: casovac2
            interval: 10; running: false; repeat: false
            onTriggered: {
                vytvor = true
            }
        }

        Item{
            id:funkcia
            function cisloj() {
                return Math.floor((Math.random() * sirka) + 1);
            }
            function getcisloj() {
                return funkcia.cisloj();
            }
        }

        Item {
            id: container
            Component.onCompleted: {
                component = Qt.createComponent("Pada.qml")
            }
        }
        Rectangle{
            id: kos
            width: parent.width/7
            height: parent.width/8
            color: "#00000000"
            anchors.bottom: parent.bottom
            Image {
                anchors.fill: parent
                source: ":/../Down-apk/Obrazky/drink-crate.png"
                fillMode: Image.PreserveAspectFit
            }
            MouseArea {
                id: dragArea
                anchors.fill: parent
                drag.target: parent
            }
        }


    }
}
